Public Member Functions | Public Attributes | List of all members
libvisio::VSDCharacterListElement Class Referenceabstract
Inheritance diagram for libvisio::VSDCharacterListElement:

## Public Member Functions
| VSDCharacterListElement (unsigned id, unsigned level)
virtual | ~VSDCharacterListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDCharacterListElement * | clone ()=0
virtual unsigned | getCharCount () const =0
virtual void | setCharCount (unsigned charCount)=0

## Public Attributes
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDCharacterListElement()

libvisio::VSDCharacterListElement::VSDCharacterListElement | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inline

## ◆ ~VSDCharacterListElement()

virtual libvisio::VSDCharacterListElement::~VSDCharacterListElement | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ clone()

virtual VSDCharacterListElement* libvisio::VSDCharacterListElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDCharIX.

## ◆ getCharCount()

virtual unsigned libvisio::VSDCharacterListElement::getCharCount | ( |  | ) | const
| pure virtual

Implemented in libvisio::VSDCharIX.

## ◆ handle()

virtual void libvisio::VSDCharacterListElement::handle | ( | VSDCollector * | collector | ) | const
| pure virtual

Implemented in libvisio::VSDCharIX.

## ◆ setCharCount()

virtual void libvisio::VSDCharacterListElement::setCharCount | ( | unsigned | charCount | ) |
| pure virtual

Implemented in libvisio::VSDCharIX.

## Member Data Documentation

## ◆ m_id

unsigned libvisio::VSDCharacterListElement::m_id

Referenced by libvisio::VSDCharIX::handle().

## ◆ m_level

unsigned libvisio::VSDCharacterListElement::m_level

Referenced by libvisio::VSDCharIX::handle().

The documentation for this class was generated from the following file:

- VSDCharacterList.cpp